%define name	ee
%define version	0.3.12
%define release	12mdk

Summary:	The Electric Eyes image viewer application.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphics
Source:		ftp://ftp.gnome.org/pub/GNOME/stable/sources/ee/%{name}-%{version}.tar.bz2
Source1:	%{name}.png.bz2
Source2:	%{name}-32.png.bz2
Source3:	%{name}-48.png.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
URL:		http://www.gnome.org
Icon:		ee-logo.xpm
Requires:	imlib >= 1.9.2
BuildRequires:	XFree86-devel gnome-libs-devel zlib1-devel
BuildRequires:	audiofile-devel, esound-devel, imlib-devel

%description
The ee package contains the Electric Eyes image viewer for the GNOME desktop
environment. Electric Eyes is primary an image viewer, but it also allows many
types of image manipulations. Electric Eyes can handle almost any type of
image.

Install the ee package if you need an image viewer.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

# menu
install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
needs="x11"\
section="Multimedia/Graphics"\
title="Electric Eyes"\
longtitle="Electric Eyes image viewer"\
command="%{_bindir}/ee"\
icon="ee.png"\
mimetypes="image/gif;image/jpeg;image/png;image/tiff;image/x-xbm;image/x-xpm;"
EOF

# icon
mkdir -p $RPM_BUILD_ROOT/%{_miconsdir} $RPM_BUILD_ROOT/%{_liconsdir}  $RPM_BUILD_ROOT/%{_iconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)
%doc COPYING ChangeLog README
%{_bindir}/*
%{_datadir}/gnome/help/%{name}
%{_datadir}/gnome/apps/Graphics/ee.desktop
%{_datadir}/pixmaps/gnome-ee.png
%{_datadir}/mime-info/%{name}.keys
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.3.12-12mdk
- rebuild

* Fri Jan 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.3.12-11mdk
- BuildRequires: *-devel, instead of lib*-devel

* Tue May 07 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.3.12-10mdk
- Automated rebuild in gcc3.1 environment

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.12-9mdk
- xpm -> png icons

* Thu Dec  6 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.3.12-8mdk
- Rebuild for rpmlint happyfication: invalid-packager, zero-length files

* Tue Sep 18 2001 David BAUDENS <baudens@mandrakesoft.com> 0.3.12-7mdk
- Fix menu (mime type)

* Thu Jul 26 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.3.12-6mdk
- rebuild
- sanitizification (s/Copyright/License/, BuildRequires)

* Wed Oct  4 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.12-5mdk
- Correct locale use
- Remove localized description

* Wed Sep  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.12-4mdk
- Use find_lang macro
- add missing icon

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.3.12-3mdk
- automatically added BuildRequires

* Wed Jul 26 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.12-2mdk
- BM + more macros
- menu entry is now embedded in specfile

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.12-1mdk
- new release
- use new macros

* Fri May  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.3.11-5mdk
- added MimeType.

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.11-4mdk
- fixed my menu mistake
- added 32x32 icon
- fixed menu conflict gnome/menu

* Thu Apr 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.11-3mdk
- new groups
- fixed url
- menu entry, with icon

* Thu Nov 04 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- updated to 0.3.11

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMp build/check

* Fri Sep 03 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- updated to 0.3.10

* Fri Aug 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com> 
- get latest version from CVS; patch is no longuer needed
- changed Group:
- added icon

* Thu Jul 29 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- %{_datadir}/gnome/apps/Graphics directory should not be included;
  only the *.desktop files in it
- get latest version from CVS

* Tue Jul 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- add a -l fr to french description.

* Tue Jul 20 1999 G.Colbert <gregus@etudiant.net>
- add fr locale

* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Mon Feb 22 1999 Michael Fulbright <drmike@redhat.com>
- unlibtoolize

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.3.8

* Mon Feb 08 1999 Michael Fulbright <drmike@redhat.com>
- version 0.3.7

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- rebuilt for gtk+ 1.1.12

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated for GNOME freeze

* Tue Sep 22 1998 Carsten Haitzler <raster@redhat.com>
- requires imlib 1.8.1
- more minor bug fixes.

* Fri Sep 11 1998 Cristian Gafton <gafton@redhat.com>
- stuff

* Thu Aug 13 1998 Marc Ewing <marc@redhat.com>
- Initial spec file copied from gnome-graphics
